Index: uspace/lib/drv/generic/remote_nic.c
===================================================================
--- uspace/lib/drv/generic/remote_nic.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_nic.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -2296,17 +2296,17 @@
 			req_length = max_count * sizeof(nic_wv_id_t);
 
-		rc = async_data_read_finalize(data_callid, id_list, req_length);
-	}
-
-	async_answer_1(callid, rc, (sysarg_t) count);
+		rc = async_data_read_finalize(data_chandle, id_list, req_length);
+	}
+
+	async_answer_1(chandle, rc, (sysarg_t) count);
 	free(id_list);
 }
 
 static void remote_nic_wol_virtue_get_caps(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->wol_virtue_get_caps == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -2316,13 +2316,13 @@
 
 	errno_t rc = nic_iface->wol_virtue_get_caps(dev, type, &count);
-	async_answer_1(callid, rc, (sysarg_t) count);
+	async_answer_1(chandle, rc, (sysarg_t) count);
 }
 
 static void remote_nic_wol_load_info(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->wol_load_info == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -2336,5 +2336,5 @@
 		data = malloc(max_length);
 		if (data == NULL) {
-			async_answer_0(callid, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
 			return;
 		}
@@ -2346,9 +2346,9 @@
 	    &frame_length);
 	if (rc == EOK) {
-		cap_call_handle_t data_callid;
+		cap_call_handle_t data_chandle;
 		size_t req_length;
-		if (!async_data_read_receive(&data_callid, &req_length)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		if (!async_data_read_receive(&data_chandle, &req_length)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			free(data);
 			return;
@@ -2357,17 +2357,17 @@
 		req_length = req_length > max_length ? max_length : req_length;
 		req_length = req_length > frame_length ? frame_length : req_length;
-		async_data_read_finalize(data_callid, data, req_length);
-	}
-
-	async_answer_2(callid, rc, (sysarg_t) type, (sysarg_t) frame_length);
+		async_data_read_finalize(data_chandle, data, req_length);
+	}
+
+	async_answer_2(chandle, rc, (sysarg_t) type, (sysarg_t) frame_length);
 	free(data);
 }
 
 static void remote_nic_offload_probe(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->offload_probe == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -2377,13 +2377,13 @@
 
 	errno_t rc = nic_iface->offload_probe(dev, &supported, &active);
-	async_answer_2(callid, rc, supported, active);
+	async_answer_2(chandle, rc, supported, active);
 }
 
 static void remote_nic_offload_set(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->offload_set == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -2393,13 +2393,13 @@
 
 	errno_t rc = nic_iface->offload_set(dev, mask, active);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_poll_get_mode(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->poll_get_mode == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -2415,27 +2415,27 @@
 	if ((rc == EOK) && (request_data)) {
 		size_t max_len;
-		cap_call_handle_t data_callid;
-
-		if (!async_data_read_receive(&data_callid, &max_len)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		cap_call_handle_t data_chandle;
+
+		if (!async_data_read_receive(&data_chandle, &max_len)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
 
 		if (max_len != sizeof(struct timeval)) {
-			async_answer_0(data_callid, ELIMIT);
-			async_answer_0(callid, ELIMIT);
-			return;
-		}
-
-		async_data_read_finalize(data_callid, &period,
+			async_answer_0(data_chandle, ELIMIT);
+			async_answer_0(chandle, ELIMIT);
+			return;
+		}
+
+		async_data_read_finalize(data_chandle, &period,
 		    sizeof(struct timeval));
 	}
 
-	async_answer_1(callid, rc, (sysarg_t) mode);
+	async_answer_1(chandle, rc, (sysarg_t) mode);
 }
 
 static void remote_nic_poll_set_mode(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
@@ -2448,21 +2448,21 @@
 
 	if (has_period) {
-		cap_call_handle_t data_callid;
-		if (!async_data_write_receive(&data_callid, &length)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		cap_call_handle_t data_chandle;
+		if (!async_data_write_receive(&data_chandle, &length)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
 
 		if (length != sizeof(struct timeval)) {
-			async_answer_0(data_callid, ELIMIT);
-			async_answer_0(callid, ELIMIT);
+			async_answer_0(data_chandle, ELIMIT);
+			async_answer_0(chandle, ELIMIT);
 			return;
 		}
 
 		period = &period_buf;
-		if (async_data_write_finalize(data_callid, period,
+		if (async_data_write_finalize(data_chandle, period,
 		    length) != EOK) {
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
@@ -2471,20 +2471,20 @@
 	if (nic_iface->poll_set_mode != NULL) {
 		errno_t rc = nic_iface->poll_set_mode(dev, mode, period);
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 	} else
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 }
 
 static void remote_nic_poll_now(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->poll_now == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	errno_t rc = nic_iface->poll_now(dev);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
Index: uspace/lib/drv/generic/remote_pci.c
===================================================================
--- uspace/lib/drv/generic/remote_pci.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_pci.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -150,10 +150,10 @@
 };
 
-void remote_config_space_read_8(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+void remote_config_space_read_8(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
 {
 	assert(iface);
 	pci_dev_iface_t *pci_iface = (pci_dev_iface_t *)iface;
 	if (pci_iface->config_space_read_8 == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -162,16 +162,16 @@
 	errno_t ret = pci_iface->config_space_read_8(fun, address, &value);
 	if (ret != EOK) {
-		async_answer_0(callid, ret);
-	} else {
-		async_answer_1(callid, EOK, value);
-	}
-}
-
-void remote_config_space_read_16(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+		async_answer_0(chandle, ret);
+	} else {
+		async_answer_1(chandle, EOK, value);
+	}
+}
+
+void remote_config_space_read_16(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
 {
 	assert(iface);
 	pci_dev_iface_t *pci_iface = (pci_dev_iface_t *)iface;
 	if (pci_iface->config_space_read_16 == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -180,15 +180,15 @@
 	errno_t ret = pci_iface->config_space_read_16(fun, address, &value);
 	if (ret != EOK) {
-		async_answer_0(callid, ret);
-	} else {
-		async_answer_1(callid, EOK, value);
-	}
-}
-void remote_config_space_read_32(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+		async_answer_0(chandle, ret);
+	} else {
+		async_answer_1(chandle, EOK, value);
+	}
+}
+void remote_config_space_read_32(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
 {
 	assert(iface);
 	pci_dev_iface_t *pci_iface = (pci_dev_iface_t *)iface;
 	if (pci_iface->config_space_read_32 == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -197,16 +197,16 @@
 	errno_t ret = pci_iface->config_space_read_32(fun, address, &value);
 	if (ret != EOK) {
-		async_answer_0(callid, ret);
-	} else {
-		async_answer_1(callid, EOK, value);
-	}
-}
-
-void remote_config_space_write_8(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+		async_answer_0(chandle, ret);
+	} else {
+		async_answer_1(chandle, EOK, value);
+	}
+}
+
+void remote_config_space_write_8(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
 {
 	assert(iface);
 	pci_dev_iface_t *pci_iface = (pci_dev_iface_t *)iface;
 	if (pci_iface->config_space_write_8 == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -215,16 +215,16 @@
 	errno_t ret = pci_iface->config_space_write_8(fun, address, value);
 	if (ret != EOK) {
-		async_answer_0(callid, ret);
-	} else {
-		async_answer_0(callid, EOK);
-	}
-}
-
-void remote_config_space_write_16(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+		async_answer_0(chandle, ret);
+	} else {
+		async_answer_0(chandle, EOK);
+	}
+}
+
+void remote_config_space_write_16(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
 {
 	assert(iface);
 	pci_dev_iface_t *pci_iface = (pci_dev_iface_t *)iface;
 	if (pci_iface->config_space_write_16 == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -233,16 +233,16 @@
 	errno_t ret = pci_iface->config_space_write_16(fun, address, value);
 	if (ret != EOK) {
-		async_answer_0(callid, ret);
-	} else {
-		async_answer_0(callid, EOK);
-	}
-}
-
-void remote_config_space_write_32(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+		async_answer_0(chandle, ret);
+	} else {
+		async_answer_0(chandle, EOK);
+	}
+}
+
+void remote_config_space_write_32(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
 {
 	assert(iface);
 	pci_dev_iface_t *pci_iface = (pci_dev_iface_t *)iface;
 	if (pci_iface->config_space_write_32 == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -251,7 +251,7 @@
 	errno_t ret = pci_iface->config_space_write_32(fun, address, value);
 	if (ret != EOK) {
-		async_answer_0(callid, ret);
-	} else {
-		async_answer_0(callid, EOK);
+		async_answer_0(chandle, ret);
+	} else {
+		async_answer_0(chandle, EOK);
 	}
 }
Index: uspace/lib/drv/generic/remote_pio_window.c
===================================================================
--- uspace/lib/drv/generic/remote_pio_window.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_pio_window.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -53,5 +53,5 @@
 
 static void remote_pio_window_get(ddf_fun_t *fun, void *ops,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	pio_window_ops_t *pio_win_ops = (pio_window_ops_t *) ops;
@@ -59,5 +59,5 @@
 
 	if (!pio_win_ops->get_pio_window) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -65,16 +65,16 @@
 	pio_window_t *pio_window = pio_win_ops->get_pio_window(fun);
 	if (!pio_window) {
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return;
 	}
 
-	async_answer_0(callid, EOK);
+	async_answer_0(chandle, EOK);
 
-	if (!async_data_read_receive(&callid, &len)) {
+	if (!async_data_read_receive(&chandle, &len)) {
 		/* Protocol error - the recipient is not accepting data */
 		return;
 	}
 
-	async_data_read_finalize(callid, pio_window, len);
+	async_data_read_finalize(chandle, pio_window, len);
 }
 
Index: uspace/lib/drv/generic/remote_usb.c
===================================================================
--- uspace/lib/drv/generic/remote_usb.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_usb.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -107,10 +107,10 @@
 
 void remote_usb_get_my_description(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const usb_iface_t *usb_iface = (usb_iface_t *) iface;
 
 	if (usb_iface->get_my_description == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -119,7 +119,7 @@
 	const errno_t ret = usb_iface->get_my_description(fun, &desc);
 	if (ret != EOK) {
-		async_answer_0(callid, ret);
+		async_answer_0(chandle, ret);
 	} else {
-		async_answer_5(callid, EOK,
+		async_answer_5(chandle, EOK,
 		    (sysarg_t) desc.address,
 		    (sysarg_t) desc.depth,
Index: uspace/lib/drv/generic/remote_usbdiag.c
===================================================================
--- uspace/lib/drv/generic/remote_usbdiag.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_usbdiag.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -144,25 +144,25 @@
 
 void remote_usbdiag_test_in(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const usbdiag_iface_t *diag_iface = (usbdiag_iface_t *) iface;
 
 	size_t size;
-	cap_call_handle_t data_callid;
-	if (!async_data_write_receive(&data_callid, &size)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+	cap_call_handle_t data_chandle;
+	if (!async_data_write_receive(&data_chandle, &size)) {
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(usbdiag_test_params_t)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	usbdiag_test_params_t params;
-	if (async_data_write_finalize(data_callid, &params, size) != EOK) {
-		async_answer_0(callid, EINVAL);
+	if (async_data_write_finalize(data_chandle, &params, size) != EOK) {
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -173,50 +173,50 @@
 
 	if (ret != EOK) {
-		async_answer_0(callid, ret);
-		return;
-	}
-
-	if (!async_data_read_receive(&data_callid, &size)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, ret);
+		return;
+	}
+
+	if (!async_data_read_receive(&data_chandle, &size)) {
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(usbdiag_test_results_t)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
-		return;
-	}
-
-	if (async_data_read_finalize(data_callid, &results, size) != EOK) {
-		async_answer_0(callid, EINVAL);
-		return;
-	}
-
-	async_answer_0(callid, ret);
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		return;
+	}
+
+	if (async_data_read_finalize(data_chandle, &results, size) != EOK) {
+		async_answer_0(chandle, EINVAL);
+		return;
+	}
+
+	async_answer_0(chandle, ret);
 }
 
 void remote_usbdiag_test_out(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const usbdiag_iface_t *diag_iface = (usbdiag_iface_t *) iface;
 
 	size_t size;
-	cap_call_handle_t data_callid;
-	if (!async_data_write_receive(&data_callid, &size)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+	cap_call_handle_t data_chandle;
+	if (!async_data_write_receive(&data_chandle, &size)) {
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(usbdiag_test_params_t)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	usbdiag_test_params_t params;
-	if (async_data_write_finalize(data_callid, &params, size) != EOK) {
-		async_answer_0(callid, EINVAL);
+	if (async_data_write_finalize(data_chandle, &params, size) != EOK) {
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -227,26 +227,26 @@
 
 	if (ret != EOK) {
-		async_answer_0(callid, ret);
-		return;
-	}
-
-	if (!async_data_read_receive(&data_callid, &size)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, ret);
+		return;
+	}
+
+	if (!async_data_read_receive(&data_chandle, &size)) {
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(usbdiag_test_results_t)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
-		return;
-	}
-
-	if (async_data_read_finalize(data_callid, &results, size) != EOK) {
-		async_answer_0(callid, EINVAL);
-		return;
-	}
-
-	async_answer_0(callid, ret);
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		return;
+	}
+
+	if (async_data_read_finalize(data_chandle, &results, size) != EOK) {
+		async_answer_0(chandle, EINVAL);
+		return;
+	}
+
+	async_answer_0(chandle, ret);
 }
 
Index: uspace/lib/drv/generic/remote_usbhc.c
===================================================================
--- uspace/lib/drv/generic/remote_usbhc.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_usbhc.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -232,5 +232,5 @@
 static void remote_usbhc_register_endpoint(ddf_fun_t *, void *, cap_call_handle_t, ipc_call_t *);
 static void remote_usbhc_unregister_endpoint(ddf_fun_t *, void *, cap_call_handle_t, ipc_call_t *);
-static void remote_usbhc_transfer(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call);
+static void remote_usbhc_transfer(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call);
 
 /** Remote USB interface operations. */
@@ -257,10 +257,10 @@
 
 void remote_usbhc_default_address_reservation(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const usbhc_iface_t *usbhc_iface = (usbhc_iface_t *) iface;
 
 	if (usbhc_iface->default_address_reservation == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -268,15 +268,15 @@
 	const bool reserve = IPC_GET_ARG2(*call);
 	const errno_t ret = usbhc_iface->default_address_reservation(fun, reserve);
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 
 static void remote_usbhc_device_enumerate(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const usbhc_iface_t *usbhc_iface = (usbhc_iface_t *) iface;
 
 	if (usbhc_iface->device_enumerate == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -285,14 +285,14 @@
 	usb_speed_t speed = DEV_IPC_GET_ARG2(*call);
 	const errno_t ret = usbhc_iface->device_enumerate(fun, port, speed);
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 static void remote_usbhc_device_remove(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const usbhc_iface_t *usbhc_iface = (usbhc_iface_t *) iface;
 
 	if (usbhc_iface->device_remove == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -300,9 +300,9 @@
 	const unsigned port = DEV_IPC_GET_ARG1(*call);
 	const errno_t ret = usbhc_iface->device_remove(fun, port);
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 static void remote_usbhc_register_endpoint(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	assert(fun);
@@ -313,33 +313,33 @@
 
 	if (!usbhc_iface->register_endpoint) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	usb_endpoint_descriptors_t ep_desc;
-	cap_call_handle_t data_callid;
+	cap_call_handle_t data_chandle;
 	size_t len;
 
-	if (!async_data_write_receive(&data_callid, &len)
+	if (!async_data_write_receive(&data_chandle, &len)
 	    || len != sizeof(ep_desc)) {
-		async_answer_0(callid, EINVAL);
-		return;
-	}
-	async_data_write_finalize(data_callid, &ep_desc, sizeof(ep_desc));
+		async_answer_0(chandle, EINVAL);
+		return;
+	}
+	async_data_write_finalize(data_chandle, &ep_desc, sizeof(ep_desc));
 
 	usb_pipe_desc_t pipe_desc;
 
 	const errno_t rc = usbhc_iface->register_endpoint(fun, &pipe_desc, &ep_desc);
-	async_answer_0(callid, rc);
-
-	if (!async_data_read_receive(&data_callid, &len)
+	async_answer_0(chandle, rc);
+
+	if (!async_data_read_receive(&data_chandle, &len)
 	    || len != sizeof(pipe_desc)) {
 		return;
 	}
-	async_data_read_finalize(data_callid, &pipe_desc, sizeof(pipe_desc));
+	async_data_read_finalize(data_chandle, &pipe_desc, sizeof(pipe_desc));
 }
 
 static void remote_usbhc_unregister_endpoint(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	assert(fun);
@@ -350,21 +350,21 @@
 
 	if (!usbhc_iface->unregister_endpoint) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	usb_pipe_desc_t pipe_desc;
-	cap_call_handle_t data_callid;
+	cap_call_handle_t data_chandle;
 	size_t len;
 
-	if (!async_data_write_receive(&data_callid, &len)
+	if (!async_data_write_receive(&data_chandle, &len)
 	    || len != sizeof(pipe_desc)) {
-		async_answer_0(callid, EINVAL);
-		return;
-	}
-	async_data_write_finalize(data_callid, &pipe_desc, sizeof(pipe_desc));
+		async_answer_0(chandle, EINVAL);
+		return;
+	}
+	async_data_write_finalize(data_chandle, &pipe_desc, sizeof(pipe_desc));
 
 	const errno_t rc = usbhc_iface->unregister_endpoint(fun, &pipe_desc);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
@@ -410,17 +410,17 @@
 
 	errno_t err;
-	cap_call_handle_t data_callid;
+	cap_call_handle_t data_chandle;
 	size_t size;
 	unsigned flags;
 
-	if (!async_share_out_receive(&data_callid, &size, &flags))
+	if (!async_share_out_receive(&data_chandle, &size, &flags))
 		return EPARTY;
 
 	if (size < required_size || (flags & required_flags) != required_flags) {
-		async_answer_0(data_callid, EINVAL);
+		async_answer_0(data_chandle, EINVAL);
 		return EINVAL;
 	}
 
-	if ((err = async_share_out_finalize(data_callid, &trans->request.buffer.virt)))
+	if ((err = async_share_out_finalize(data_chandle, &trans->request.buffer.virt)))
 		return err;
 
@@ -445,5 +445,5 @@
 }
 
-void remote_usbhc_transfer(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+void remote_usbhc_transfer(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
 {
 	assert(fun);
@@ -454,11 +454,11 @@
 
 	if (!usbhc_iface->transfer) {
-		async_answer_0(callid, ENOTSUP);
-		return;
-	}
-
-	async_transaction_t *trans = async_transaction_create(callid);
+		async_answer_0(chandle, ENOTSUP);
+		return;
+	}
+
+	async_transaction_t *trans = async_transaction_create(chandle);
 	if (trans == NULL) {
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return;
 	}
@@ -466,13 +466,13 @@
 	errno_t err = EPARTY;
 
-	cap_call_handle_t data_callid;
+	cap_call_handle_t data_chandle;
 	size_t len;
-	if (!async_data_write_receive(&data_callid, &len)
+	if (!async_data_write_receive(&data_chandle, &len)
 	    || len != sizeof(trans->request)) {
-		async_answer_0(data_callid, EINVAL);
+		async_answer_0(data_chandle, EINVAL);
 		goto err;
 	}
 
-	if ((err = async_data_write_finalize(data_callid,
+	if ((err = async_data_write_finalize(data_chandle,
 			    &trans->request, sizeof(trans->request))))
 		goto err;
@@ -494,5 +494,5 @@
 
 err:
-	async_answer_0(callid, err);
+	async_answer_0(chandle, err);
 	async_transaction_destroy(trans);
 }
Index: uspace/lib/drv/generic/remote_usbhid.c
===================================================================
--- uspace/lib/drv/generic/remote_usbhid.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_usbhid.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -309,5 +309,5 @@
 
 void remote_usbhid_get_event_length(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	printf("remote_usbhid_get_event_length()\n");
@@ -317,5 +317,5 @@
 	if (!hid_iface->get_event_length) {
 		printf("Get event length not set!\n");
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -325,20 +325,20 @@
 //		len = EEMPTY;
 //	}
-	async_answer_1(callid, EOK, len);
+	async_answer_1(chandle, EOK, len);
 
 //	if (len < 0) {
-//		async_answer_0(callid, len);
+//		async_answer_0(chandle, len);
 //	} else {
-//		async_answer_1(callid, EOK, len);
+//		async_answer_1(chandle, EOK, len);
 //	}
 }
 
 void remote_usbhid_get_event(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	usbhid_iface_t *hid_iface = (usbhid_iface_t *) iface;
 
 	if (!hid_iface->get_event) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -347,7 +347,7 @@
 
 	size_t len;
-	cap_call_handle_t data_callid;
-	if (!async_data_read_receive(&data_callid, &len)) {
-		async_answer_0(callid, EPARTY);
+	cap_call_handle_t data_chandle;
+	if (!async_data_read_receive(&data_chandle, &len)) {
+		async_answer_0(chandle, EPARTY);
 		return;
 	}
@@ -357,6 +357,6 @@
 //	}
 	if (len == 0) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -366,6 +366,6 @@
 	uint8_t *data = malloc(len);
 	if (data == NULL) {
-		async_answer_0(data_callid, ENOMEM);
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(data_chandle, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return;
 	}
@@ -376,6 +376,6 @@
 	if (rc != EOK) {
 		free(data);
-		async_answer_0(data_callid, rc);
-		async_answer_0(callid, rc);
+		async_answer_0(data_chandle, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
@@ -386,45 +386,45 @@
 	}
 
-	async_data_read_finalize(data_callid, data, act_length);
+	async_data_read_finalize(data_chandle, data, act_length);
 
 	free(data);
 
-	async_answer_1(callid, EOK, event_nr);
+	async_answer_1(chandle, EOK, event_nr);
 }
 
 void remote_usbhid_get_report_descriptor_length(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	usbhid_iface_t *hid_iface = (usbhid_iface_t *) iface;
 
 	if (!hid_iface->get_report_descriptor_length) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	size_t len = hid_iface->get_report_descriptor_length(fun);
-	async_answer_1(callid, EOK, (sysarg_t) len);
+	async_answer_1(chandle, EOK, (sysarg_t) len);
 }
 
 void remote_usbhid_get_report_descriptor(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	usbhid_iface_t *hid_iface = (usbhid_iface_t *) iface;
 
 	if (!hid_iface->get_report_descriptor) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	size_t len;
-	cap_call_handle_t data_callid;
-	if (!async_data_read_receive(&data_callid, &len)) {
-		async_answer_0(callid, EINVAL);
+	cap_call_handle_t data_chandle;
+	if (!async_data_read_receive(&data_chandle, &len)) {
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	if (len == 0) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -432,6 +432,6 @@
 	uint8_t *descriptor = malloc(len);
 	if (descriptor == NULL) {
-		async_answer_0(data_callid, ENOMEM);
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(data_chandle, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return;
 	}
@@ -445,11 +445,11 @@
 	if (rc != EOK) {
 		free(descriptor);
-		async_answer_0(data_callid, rc);
-		async_answer_0(callid, rc);
-		return;
-	}
-
-	async_data_read_finalize(data_callid, descriptor, act_len);
-	async_answer_0(callid, EOK);
+		async_answer_0(data_chandle, rc);
+		async_answer_0(chandle, rc);
+		return;
+	}
+
+	async_data_read_finalize(data_chandle, descriptor, act_len);
+	async_answer_0(chandle, EOK);
 
 	free(descriptor);
